Package: org.apache.groovy.ginq.provider.collection.runtime

## [Java] Class ValueBound<U extends Comparable<? super U>>

- org.apache.groovy.ginq.provider.collection.runtime.ValueBound

-     public class ValueBound<U extends Comparable<? super U>>
      extends AbstractBound

  Represents value bounds of window frame

  Since:
    4.0.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ValueBound(U lower, U upper)` Construct a new ValueBound instance with lower and upper frame bounds

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractBound` | `getLower, getUpper`

- - ### Constructor Detail

    - #### public ValueBound(U lower, U upper)

      Construct a new ValueBound instance with lower and upper frame bounds

      Parameters:
        `lower` - the lower frame bound
        `upper` - the upper frame bound
      Since:
        4.0.0